Diligent Engine API Reference: Diligent::BufferViewD3D11Impl Class Reference

Diligent Engine API Reference

Public Member Functions | Protected Attributes | List of all members
Diligent::BufferViewD3D11Impl Class Reference

Implementation of the Diligent::IBufferViewD3D11 interface. More...

Inheritance diagram for Diligent::BufferViewD3D11Impl:

## Public Member Functions
virtual void | QueryInterface (const Diligent::INTERFACE_ID &IID, IObject **ppInterface) final
| Queries the specific interface, see IObject::QueryInterface() for details.
virtual ID3D11View * | GetD3D11View () override final
| Returns a pointer to the ID3D11View interface of the internal Direct3D11 object. More...
Public Member Functions inherited from Diligent::BufferViewBase< IBufferViewD3D11 >
| BufferViewBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const BufferViewDesc &ViewDesc, IBuffer *pBuffer, bool bIsDefaultView)
virtual IBuffer * | GetBuffer () override final
| Implementation of IBufferView::GetBuffer()
Public Member Functions inherited from Diligent::DeviceObjectBase< IBufferViewD3D11, BufferViewDesc >
| DeviceObjectBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const BufferViewDesc &ObjDesc, bool bIsDeviceInternal=false)
virtual const BufferViewDesc & | GetDesc () const override final
UniqueIdentifier | GetUniqueID () const
| Returns unique identifier. More...
Public Member Functions inherited from Diligent::IDeviceObject
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.

## Protected Attributes
CComPtr< ID3D11View > | m_pD3D11View
| D3D11 view.
Protected Attributes inherited from Diligent::BufferViewBase< IBufferViewD3D11 >
IBuffer *const | m_pBuffer
| Pointer to the buffer.
RefCntAutoPtr< IBuffer > | m_spBuffer
| Strong reference to the buffer. Used for non-default views to keep the buffer alive.
Protected Attributes inherited from Diligent::DeviceObjectBase< IBufferViewD3D11, BufferViewDesc >
const String | m_ObjectNameCopy
| Copy of a device object name. More...
BufferViewDesc | m_Desc
| Object description.

## Detailed Description

Implementation of the Diligent::IBufferViewD3D11 interface.

## Member Function Documentation

## ◆ GetD3D11View()

virtual ID3D11View* Diligent::BufferViewD3D11Impl::GetD3D11View | ( |  | ) |
| inlinefinaloverridevirtual

Returns a pointer to the ID3D11View interface of the internal Direct3D11 object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implements Diligent::IBufferViewD3D11.